.grid {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(260px, 1fr));
	gap: 25px;
}

.card {
	background: #fff;
	border-radius: 18px;
	padding: 20px;
	box-shadow: var(--shadow);
	display: flex;
	flex-direction: column;
	transition: transform .2s;
}

.card:hover {
	transform: translateY(-6px);
}

.card-link {
    text-decoration: none;
    display: block;
}

.card-link:hover {
    text-decoration: none;
}

.desc
{
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;

    overflow: hidden;
}
.price {
    text-align: center;
    font-weight: bold;
    margin-top: 8px;
}

.image-placeholder {
	height: 160px;
	background: linear-gradient(135deg, var(--purple-light), var(--pink));
	border-radius: 12px;
	display: flex;
	align-items: center;
	justify-content: center;
	color: var(--purple);
	font-weight: 600;
	margin-bottom: 15px;
}

.add-to-cart {
	background: var(--pink);
	color: #fff;
	border: none;
	padding: 10px;
	border-radius: 12px;
	font-weight: 600;
	cursor: pointer;
}

.add-to-cart:hover {
	background: var(--pink-dark);
}

.product-image {
    width: 100%;
    height: 220px;
    object-fit: cover;
    border-radius: 8px;
}




.product-page {
    display: flex;
    gap: 40px;
    margin-top: 30px;
}

.product-gallery {
    flex: 1;
}

.product-info {
    flex: 1;
}

.main-image {
    width: 100%;
    border-radius: 8px;
}

.thumbs {
    display: flex;
    gap: 10px;
    margin-top: 10px;
}

.thumb {
    width: 70px;
    cursor: pointer;
    border: 1px solid #ddd;
}







.product-info{
/*
    display:flex;
*/
    flex-direction:column;
}

.product-buy{
    margin-top:auto;
}



/* Csak a termékoldalon */
.product-page .price {
    font-size:28px;
    font-weight:bold;
    margin-bottom:8px;
}

.stock{
    margin-bottom:16px;
    color:#2e7d32;
}

.quantity{
    margin-bottom:12px;
}

.qty-input{
    width:70px;
    padding:6px;
}




.search-container {
    margin: 0 0 10px 0;
    display: flex;
    justify-content: left;
}

.search-form {
    display: flex;
    width: 100%;
    max-width: 500px;
    border: 2px solid var(--purple-light);
    border-radius: var(--radius);
    overflow: hidden;
    background: #fff;
}

.search-form input {
    flex: 1;
    border: none;
    padding: 12px 15px;
    outline: none;
    font-size: 16px;
}

.search-form button {
    background: var(--purple);
    color: white;
    border: none;
    padding: 0 20px;
    cursor: pointer;
    transition: background 0.2s;
}

.search-form button:hover {
    background: var(--purple-dark);
}

.search-info {
    margin-bottom: 20px;
    text-align: left;
}

@media (max-width: 768px) {

    .product-page {
        flex-direction: column;
        gap: 20px;
    }

    .product-gallery,
    .product-info {
        width: 100%;
    }

}
